\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.8 - 2D Polygons

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
Modules | Classes
2D Polygon Reference

##

Geert-Jan Giezeman and Wieger Wesselink
This package provides a 2D polygon class and operations on sequences of points, like bounding box, extremal points, signed area, simplicity and convexity test, orientation, and point location. The demo includes operations on polygons, such as computing a convex partition, and the straight skeleton.

Introduced in: CGAL 0.9
BibTeX: cgal:gw-p2-16a
License: LGPL
Windows Demo: Operations on Polygons
Common Demo Dlls: dlls

## Assertions

The assertion flags for the polygons and polygon operations use `POLYGON` in their names (e.g., `CGAL_POLYGON_NO_ASSERTIONS`).

## Classified Reference Pages

## Concepts

- `PolygonTraits_2`

## Classes

- `CGAL::Polygon_2<PolygonTraits_2, Container>`

## Global Functions

- `CGAL::area_2()`
- `CGAL::bottom_vertex_2()`
- `CGAL::bounded_side_2()`
- `CGAL::is_convex_2()`
- `CGAL::is_simple_2()`
- `CGAL::left_vertex_2()`
- `CGAL::orientation_2()`
- `CGAL::oriented_side_2()`
- `CGAL::polygon_area_2()`
- `CGAL::right_vertex_2()`
- `CGAL::top_vertex_2()`

## Modules
| Concepts
| Global Functions

## Classes
class | CGAL::Polygon_2< Traits_, Container_ >
| The class Polygon_2 implements polygons. More...